MatchmakerViewControllerDelegateType = objc.delegate("GKMatchmakerViewControllerDelegate")

-- This is called from GameKit when the user cancels the matchmaking, in which case we have to close the view.
function MatchmakerViewControllerDelegateType:matchmakerViewControllerWasCancelled_(objViewController)
    viewController:dismissModalViewControllerAnimated_(true, nil)
end

-- This is called from GameKit when matchmaking fails, in which case we have to close the view.
function MatchmakerViewControllerDelegateType:matchmakerViewController_didFailWithError_(objViewController, objError)
    viewController:dismissModalViewControllerAnimated_(true, nil)
    print(objError.localizedDescription)
end

-- This is called from GameKit when matchmaking succeeds, in which case we have to close the view.
function MatchmakerViewControllerDelegateType:matchmakerViewController_didFindMatch_(objViewController, objMatch)
    currentMatch = objMatch
    currentMatch.delegate = matchDelegate

    createMatchButtons()

    viewController:dismissModalViewControllerAnimated_(true, nil)
end
